Subject: bug#27393: 25.2.50; *Find* file visiting does not work well for me.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 16 Jun 2017 16:10:40 +0300

> From: [email-masked] (Vincent Belaïche)
> Date: Fri, 16 Jun 2017 12:46:43 +0200
> Cc: Vincent Belaïche <[email-masked]>
> 
> Looking a little more into it, I guess that Emacs is not the one to
> blame. MSYS `find' utility outputs a strange time stamp where the month
> and hour are displayed but not the day of month.
> 
> It is quite strange because on the one hand I get this:
> 
> --8<----8<----8<----8<----8<-- begin -->8---->8---->8---->8---->8----
>  $ ls -dils trunk/fmtcount-manual.tex
> -| 889094 37 -rw-r--r-- 1 Vincent Administrateurs 36915 Jun 15 16:35 trunk/fmtcount-manual.tex
> --8<----8<----8<----8<----8<--  end  -->8---->8---->8---->8---->8----
> 
> So `ls -dils' does the right job, but for some reason `find' outputs
> something else:
> 
> --8<----8<----8<----8<----8<-- begin -->8---->8---->8---->8---->8----
> $ find . "(" -iname "fmtcount-manual.tex" ")" -ls
> 7281264   19 -rw-r--r--   1 Vincent  Administrateurs    36910 Jun  05:58 ./dist/fmtcount-manual.tex
> 889094   19 -rw-r--r--   1 Vincent  Administrateurs    36915 Jun  16:35 ./trunk/fmtcount-manual.tex
> --8<----8<----8<----8<----8<--  end  -->8---->8---->8---->8---->8----
> 
> Maybe I could fix my configuration by configuring the command launched
> by Emacs so that the `-ls' option is replaced by `-exec ls -dils {} +'

Why are you using MSYS programs with a native Windows build of Emacs?
Why not use a native port of GNU Find instead?

> - Is that customizable at all ?
> - Where to report bug to MSYS find ?

I don't think MSYS is actively maintained these days.